AuthPasskeys
Begin passkey login
POST
/auth/v1/passkey/login/beginBegins a passkey login by returning a session_id and WebAuthn challenge options for the client to sign.
Response Body
200application/json
session_id and WebAuthn options
type: object
options?array<integer>
session_id?string
500application/json
Internal Server Error
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
curl -X POST "https://api.rixl.com/auth/v1/passkey/login/begin"fetch("https://api.rixl.com/auth/v1/passkey/login/begin", {
method: "POST"
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.rixl.com/auth/v1/passkey/login/begin"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/auth/v1/passkey/login/begin"
response = requests.request("POST", url)
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/auth/v1/passkey/login/begin"))
.POST()
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/auth/v1/passkey/login/begin");
var responseBody = await response.Content.ReadAsStringAsync();session_id and WebAuthn options
application/json
{
"options": [
0
],
"session_id": "string"
}Internal Server Error
application/json
{
"code": 500,
"details": "The provided ID is not valid",
"error": "Internal Server Error"
}